
// Program za ispitivanje klasa za geometrijske figure.

import figure.*;
import ravan.Tacka;
import java.util.Scanner;

public class FigureTest {
  public static void main(String[] vpar) {
    Scanner ul = new Scanner(System.in);
    Figura[] fig = new Figura [100];
    int n = 0;
    double O = 0, P = 0;

    // Stvaranje liste figura itajui s glavnog ulaza.
    while (true) {
      System.out.print("Figura? ");
      String vrs = ul.next();
    if (vrs.equals(".")) break;
      Tacka T = new Tacka(ul.nextDouble(), ul.nextDouble());
      switch (vrs) {
        case "o": case "O":
          fig[n] = new Krug   (ul.nextDouble(), T);
          break;
        case "k": case "K":
          fig[n] = new Kvadrat(ul.nextDouble(), T); 
          break;
        case "t": case "T":
          fig[n] = new Trougao(ul.nextDouble(), ul.nextDouble(),
              ul.nextDouble(), T);
          break;
      }
      if (fig[n] != null) { O += fig[n].O(); P += fig[n++].P(); }
    }

    // Ispisivanje sadraja niza na glavnom izlazu.
    System.out.println();
    for (int i=0; i<n; System.out.println(fig[i++]));

    // Ispisivanje srednjeg obima i srednje povrine na glavnom izlazu.
    System.out.printf("%nOsr=%.3f, Psr=%.3f%n%n", O/n, P/n);
    
    // itanje pomeraja za pomeranje figura.
    System.out.print("dx,dy? ");
    double dx = ul.nextDouble(), dy = ul.nextDouble();
    System.out.println();
    
    // Pomeranje figura i ispisivanje na glavnom izlazu.
    for (int i=0; i<n; System.out.println(fig[i++].pomeri(dx, dy)));
  }
}
