
// Definicija apstraktne klase homogenih tela (predmeti.Telo).

package predmeti;

public abstract class Telo extends Predmet {

  private double sigma;                           // Specifina tezina.

  public Telo(double s) { sigma = s; }            // Inicijalizacija.

  public final double Q() { return sigma * V(); } // Teina.

  public String toString()                        // Tekstualni prikaz.
    { return super.toString () + " " + sigma; }
}
