// Definicija klase boja (ravan.Boja).

package ravan;

public class Boja {
  private int crv, zel, pla;                 // Komponente boje.
  
  public Boja(int c, int z, int p) {         // Inicijalizacija:
    crv = c & 0xff;                          // - zadatim komponentama,
    zel = z & 0xff;
    pla = p & 0xff;
  }
  
  public Boja() { crv = zel = pla = 255; }   // - belom bojom.
  
  public int crvena() { return crv; }        // Dohvatanje komponenata.
  public int zelene() { return zel; }
  public int plava () { return pla; }

  public String toString()                   // Tekstualni prikaz boje.
    { return "[" + crv + "," + zel + "," + pla + "]"; }
}
