
// Definicija aktivne klasa potroaa (sklad.Potrosac).

package skladiste;

public class Potrosac extends Thread {
  
  private static int posId = 0;    // Poslednji identifikator.
  private int id = ++posId;        // Identifikator potroaa.
  private Skladiste<Integer> sklad;// Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrae i najdue vreme potronje.

  public Potrosac(Skladiste<Integer> skl, int minVr, int maxVr) { 
    minVreme = minVr; maxVreme = maxVr;              // Inicijalizacija. 
    sklad = skl;
  }
  
  public Potrosac(Skladiste<Integer> skl) 
    { this(skl, 1000, 2000); }
  
  public void run() {                                // Telo niti.
    System.out.println("Potros " + id + " krenuo");
    try {
      while (!interrupted()) {
      int vredn = sklad.uzmi();
      System.out.println("Potros " + id + " uzeo    " + vredn);
      sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
      }
    } catch (InterruptedException g) {}
    System.out.println("Potros " + id + " zavrsio");
  }
}