// Definicija klase uporedivih celih brojeva (uporedivi.Ceo).

package uporedivi;

public class Ceo implements Uporediv {

  private int broj;                    // Vrednost u objektu.

  public Ceo(int b) { broj = b; }      // Inicijalizacija.
  
  public Ceo() {}

  public int vred() { return broj; }   // Dohvatanje vrednosti.

  public boolean ispred(Uporediv u)    // Da li je ispred drugog broja?
    { return broj < ((Ceo)u).broj; }

  public boolean jednak(Uporediv u)    // Da li je jednak drugom broju?
    { return broj == ((Ceo)u).broj; }

  public String toString()             // Tekstualni prikaz.
    { return Integer.toString(broj); }
}
