// Reavanje kvadratne jednaine.

public class KvadratnaJednacina {
  public static void main(String[] varg) {
    final byte REALNI = 1, DVOSTRUKI = 2,    // ifre vrsta reenja.
               KOMPLEKSNI = 3, LINEARNA = 4, POGRENA = 5;

    System.out.print("Koeficijenti kvadratne jednaine? ");
    double a = Citaj.Double(), b = Citaj.Double(), c = Citaj.Double();

    byte   vrsta = 0;         // Vrsta reenja jednaine.
    double x1 = 0, x2 = 0,    // Realni delovi korena.
           y1 = 0, y2 = 0;    // Imaginarni delovi korena.
 
    if (a != 0) {             // Reavanje jednaine.
      double d = b * b - 4 * a * c;
      if (d > 0) {
        vrsta = REALNI;
        x1 = (- b + Math.sqrt(d)) / (2 * a);
        x2 = (- b - Math.sqrt(d)) / (2 * a);
      } else if (d == 0) {
        vrsta = DVOSTRUKI;
        x1 = - b / (2 * a);
      } else {
        vrsta = KOMPLEKSNI;
        x1 = - b / (2 * a);                x2 = x1;
        y1 = Math.sqrt(- d) / (2 * a);     y2 = - y1;
      }
    } else
      if (b != 0) {
        vrsta = LINEARNA;
        x1 = - c / b;
      } else
        vrsta = POGRENA;

    switch (vrsta) {          // Ispisivanje rezultata.
      case REALNI:
        System.out.printf("Realni koreni su %.2f i %.2f%n", x1, x2);
        break;
      case DVOSTRUKI:
        System.out.printf("Dvostruki realan koren je %.2f%n", x1);
        break;
      case KOMPLEKSNI:
        System.out.printf(
            "Kompleksni koreni su (%.2f,%.2f) i (%.2f,%.2f)%n",
            x1, y1, x2, y2
        );
        break;
      case LINEARNA:
        System.out.printf("Reenje linearne jednaine je %.2f%n", x1);
        break;
      case POGRENA:
        System.out.printf("Podaci nemaju smisla!%n");
        break;
    }
  }
}
