// Definicija klase taaka u ravni (Tacka1).

public class Tacka1 {
 private  double x, y;                    // Koordinate take.

  public void postavi(double a, double b) // Postavljanje koordinata.
    { x = a; y = b; }
  
  public double aps() { return x; } // Apscisa take.
  
  public double ord() { return y; } // Ordinata take.
  
  public double poteg()             // Odstojanje od koordinatnog poetka.
    { return Math.sqrt(x*x + y*y); }
  
  public double nagib()             // Nagib potega u odnosu na x-osu.
    { return (x==0 && y==0) ? 0 : Math.atan2(y,x); }
  
  public double rastojanje(Tacka1 t)   // Odstojanje od zadate take.
    { return Math.sqrt(Math.pow(x-t.x,2) + Math.pow(y-t.y,2)); }
  
  public Tacka1 najbliza(Tacka1[] a) { // Najblia taka u nizu taaka.
    Tacka1  t = a[0]; double r, m = rastojanje(t);
    for (int i=1; i<a.length; i++)
      if ((r = rastojanje(a[i])) < m) { m = r; t = a[i]; }
    return t;
  }
  
  public void citaj()                  // itanje take.
  { x = Citaj.Double(); y = Citaj.Double(); }
  
  public String toString()             // Tekstualni prikaz take.
    { return "(" + x + "," + y + ")"; }

  // Glavna metoda za ispitivanje klase Tacka1. ===========================
  public static void main(String[] varg) {
    System.out.print("Broj tacaka? "); int n = Citaj.Int();
    Tacka1[] niz = new Tacka1 [n];
    System.out.print("Niz tacaka? ");
    for (int i=0; i<n; i++) (niz[i] = new Tacka1()).citaj();
    System.out.print("\nReferentna tacka? ");
    double x = Citaj.Double(), y = Citaj.Int();
    Tacka1 t = new Tacka1(); t.postavi(x, y);
    System.out.println("Koordinate: (" + t.aps() + "," + t.ord() + ")");
    System.out.println("Poteg i nagib: " + t.poteg() + ", " + t.nagib());
    Tacka1 w = t.najbliza(niz);
    System.out.println("\nNajbliza tacka: " + w);
    System.out.println("Udaljenost od referentne tacke: " +
                       t.rastojanje(w));
  }
}
