// Definicija klase figura u ravni (figure.Figura).

package figure;
import ravan.Tacka;

public abstract class Figura {
  private Tacka T;                                  // Teite figure.

  public Figura()         { T = new Tacka(); }      // Inicijalizacija.
  public Figura(Tacka TT) { T = TT; }

  public final Figura postavi(double x, double y)       // Postavljanje u
    { T = new Tacka(x, y); return this; }               //   novu taku.

  public final Figura pomeri (double dx, double dy)     // Pomeranje za
    { T = new Tacka(T.x()+dx, T.y()+dy); return this; } //   dati pomak.

  public abstract double O();                           // Obim.

  public abstract double P();                           // Povrina.

  public String toString() { return "T=" + T; }     // Tekstualni prikaz.
}
