// Definicija klase taaka u ravni (ravan.Tacka).

package ravan;
import static java.lang.Math.*;

public class Tacka {
  double x, y;                               // Koordinate take.
  
  public Tacka(double x, double y)           // Inicijalizacija:
    { this.x = x; this.y = y; }              // - zadatim koordinatama,

  public Tacka() {}                          // - u koordinatnom poetku.
  
  public double x() { return x; }            // Dohvatanje koordinata.
  public double y() { return y; }
  
  public double rast(Tacka T)                // Rastojanje do druge take.
    { return sqrt(pow(x-T.x, 2) + pow(y-T.y,2)); }
  
  public String toString()                   // Tekstualni prikaz.
    { return String.format("(%.2f,%.2f)", x, y); }

  public static final Tacka ORG = new Tacka();  // Koordinatni poetak.
}
